<?
require("../config.php");
require("../func.php");
head();
aut();
ban();
$room = num($_GET['room']);
$room_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `room` WHERE `id` = '".$room."'"));

####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = '".$room."' WHERE `id` = '".$id_session."'");
####################################################

if ( $kik_session > time()) {
    echo katalog;
    echo 'Вы заблокированы. По причине: '.$whykik_session.', администратором/модератором: '.user($whokik_session).'. Осталось ждать: '.t($kik_session-time()).'<br/>';
    navig();
    foot();
    exit();
}

$user = num($_GET['user']);
$user_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$user."'"));

if ( empty ( $user_info['id'] ) ) {
    echo "<div class=\"head\">Ошибка</div><div class=\"main\">";
    echo 'Анкета не найдена';
    navig();
    foot();
    exit();
}

if ( empty ( $room_info['id'] ) ) {
    echo "<div class=\"head\">Ошибка</div><div class=\"main\">";
    echo 'Комната не найдена';
    navig();
    foot();
    exit();
}

if ( $config['status_chat'] == 0) {
    echo "<div class=\"head\">Чат</div><div class=\"main\">";
    echo link1 . 'Чат отключен' . div;
    navig();
    foot();
    exit();
}

echo "<div class=\"head\">Пишем пользователю: <b>".$user_info['login']."</b> | Комната: <b>".$room_info['room']."</b></div><div class=\"login\">";





if (empty($_POST['submit'])) {
echo '<form action="inslide.php?user='.$user.'&room='.$room.'" method="post" name="form">';
echo '<textarea id="tarea" name="msg" cols="30" rows="5" style="width: 99%;"></textarea><br/>';
if($emo_session==1){
echo '<select name="emo">
<option value="0" selected="selected">[Без эмоции]</option>
<option value="1">Радостно</option>
<option value="2">Печально</option>
<option value="3">Удивленно</option>
<option value="4">Ласково</option>
<option value="5">Смущенно</option>
<option value="6">Кокетливо</option>
<option value="7">Обиженно</option>
<option value="8">Настойчиво</option>
<option value="9">Шепотом</option>
<option value="10">Задумчиво</option>
<option value="11">Злобно</option>
</select><br/ >';
} 
if($colorp_session==1){
echo '<select name="color">
<option value="0" selected="selected">[Cтандартный]</option>
<option value="1">Красный</option>
<option value="2">Синий</option>
<option value="3">Зеленый</option>
<option value="4">Оранжевый</option>
<option value="5">Фиолетовый</option>
<option value="6">Розовый</option>
</select><br/ >';
} 

if ( $user_info['time'] > time() ) {
    if ( $chat_post_session > $pr_chat ) {
    echo 'В приват:  <input name="private" type="checkbox" value="1"><br/>';
    } else {
        echo 'Приват доступен при наборе '.$pr_chat.' постов<br/>';
    }
    echo 'В личку:  <input name="mail" type="checkbox" value="1"><br/>';
} else {
    echo 'В личку:  <input name="mail" type="checkbox" value="1"><br/>';
    if(!empty($user_info['uin']))
    echo 'В аську:  <input name="icq" type="checkbox" value="1"><br/>';
    if(!empty($user_info['mail']))
    echo 'На Е-Mail:  <input name="email" type="checkbox" value="1"><br/>';
    if(!empty($user_info['mobile']))
    echo 'SMS:  <input name="mobile" type="checkbox" value="1"><br/>';
}
echo '<input name="submit" type="submit" class="button" value="Сказать" /></form></div><div class="katalog">';

echo 'Анкета: '.user($user_info['id']).'<br/>';
echo '<a href="../smiles.php">Смайлы</a><br/>';

} else {
 $msg = html($_POST['msg']);
 $mail = num($_POST['mail']);
 $icq = num($_POST['icq']);
 $email = num($_POST['email']);
 $sms = num($_POST['sms']);
 
 if ( $user_info['postov'] > $pr_chat )
 $private = num($_POST['private']);
 
if ( $id_session != $user) {
if ( empty($icq) AND empty($email) AND empty($sms) AND empty($mail) ) {
    $room = num($_GET['room']);
    $to_user = num($_GET['user']);
    $post = $chat_post_session+1;
    
    $msg_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `chat_msg` where `ot_user` = '".$id_session."'order by id desc limit 1"));
if ( $msg_info['antispam'] > time()  AND $msg_info['ip'] == $_SERVER['HTTP_X_FORWARDED_FOR']) {
    
    echo rew('chat.php?room='.$room.'&error=spam');
    exit();
}

if ( empty($msg) ) {
    
    echo rew('chat.php?room='.$room.'');
    exit();
}

$antispam = ( time() + $anti_spam );
$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];

    $result = mysql_query("INSERT INTO `chat_msg` SET `msg` = '".$msg."', `ot_user` = '".$id_session."', `to_user` = '".$to_user."', `room` = '".$room."', `private` = '".$private."', `date` = '".time()."', `emotion` = '".num($_POST['emo'])."', `color` = '".num($_POST['color'])."'");
    mysql_query("UPDATE `profile` SET `akt_rating` = '".($akt_session+0.1)."' WHERE `id` = '".$id_session."' LIMIT 1");
    include 'barmen.php';
    mysql_query("UPDATE `profile` SET `postov` = '".$post."' WHERE `id` = '".$id_session."'");
    header('Location: chat.php?room='.$room.'');
    echo rew('chat.php?room='.$room.'');

} else {
    if (!empty($mail)) {
        
                    $room = num($_GET['room']);
                    $to_user = num($_GET['user']);
                    $msg = 'Сообщение с комнаты <b>'.$room_info['room'].'</b>: '.$msg;
            
                $res = mysql_query("INSERT INTO `mail` SET `to_user` = '".$to_user."', `ot_user` = '".$id_session."', `msg` = '".$msg."', `status` = 0, `date` = '".(time() + 120)."'");  
                header('Location: chat.php?room='.$room.'');
                echo rew('chat.php?room='.$room.'');
                 
            
            }
    
        
    if (!empty($icq)) {
        
        if ($many_session < $icq_rur) {
            
            echo 'У Вас недостаточно монет. Необходимо пополнить (Пополнить ссылкой)';
                
                } else {
            
            if (empty($user_info['uin'])) {
                
                echo 'Ошибка! У данного пользователя не указан ICQ в анкете';
            
            } else {
                
                ////////////////
                function Encode($str,$type=u)
{
$conv=array();
for($x=192;$x<=239;$x++)
$conv['u'][chr($x)]=chr(208).chr($x-48);
for($x=240;$x<=255;$x++)
$conv['u'][chr($x)]=chr(209).chr($x-112);
$conv['u'][chr(168)]=chr(208).chr(129);
$conv['u'][chr(184)]=chr(209).chr(209);
$conv['w']=array_flip($conv['u']);
if($type=='w' || $type=='u')
return strtr($str,$conv[$type]);
else
return $str;
}
                include('../WebIcqLite.class.php');
$text=Encode($msg . ' || От пользователя: '.$login_session.' (Сайт: http://jamob.ru)','w');
$icq = new WebIcqLite();
if($icq->connect($UIN, $PASSWORD)){
if(!$icq->send_message($user_info['uin'], $text)){
echo $icq->error;
}else{
echo "
<font color = 'red'>Сообщение успешно отправлено!</font><br/>
<a href='index.php'>Отправить еще</a><br/>";
}
$icq->disconnect();
}else{
echo $icq->error;
}
mysql_query("UPDATE `profile` SET `many` = '".($many_session - $icq_rur)."' WHERE `id` = '".$id_session."'");
echo rew('chat.php?room='.$room.'');


                ///////////////
            
            }
    
    } 
    }
    $user_info['email'] = 'support@vsotke.com';
    if(!empty($email)) {
        
        if ($many_session < $email_rur) {
            
            echo 'У Вас недостаточно монет. Необходимо пополнить (Пополнить ссылкой)';
                
                } else {
            
            if (empty($user_info['email'])) {
                
                echo 'Ошибка! У данного пользователя не указан E-Mail в анкете';
            
            } else {
            
                ///////////
                

                function myErrorHandler ($errno, $errstr, $errfile, $errline) {}
                set_error_handler("myErrorHandler");
                $tema= "Вам написали на сайте ".$_SERVER['HTTP_HOST']."";
                $text = $msg . ' От пользователя '.$login_session;
                $headers="Content-Type: text/html; charset=utf-8\n";
                $headers.="From: ".$e_mail."\nX-Mailer: PHP v.".phpversion();
                mail($user_info['email'],$tema,$text,$headers);
                mysql_query("UPDATE `profile` SET `many` = '".($many_session - $email_rur)."' WHERE `id` = '".$id_session."'");
                echo rew('chat.php?room='.$room.'');
                
                ///////////   
                
            }     
            
            }
    
    }
    
    if(!empty($sms)) {
        
        if ($many_session < $sms_rur) {
            
            echo 'У Вас недостаточно монет. Необходимо пополнить (Пополнить ссылкой)';
                
                } else {
            
            if (empty($user_info['mobile'])) {
                
                echo 'Ошибка! У данного пользователя не указан мобильный номер в анкете';
            
            } else {
            
                echo 'Отправка SMS';    
                
            }     
            
            }
    
    }
}

} else {
    echo rew('chat.php?room='.$room.'');
}

}


navig();
foot();
?>